package de.ozgcloud.archive.common.xta;

import java.io.IOException;

import jakarta.xml.bind.JAXBContext;
import jakarta.xml.bind.JAXBException;
import jakarta.xml.bind.Unmarshaller;

import de.ozgcloud.common.errorhandling.TechnicalException;
import de.ozgcloud.xta.client.model.XtaFile;
import de.xoev.xdomea.AbgabeImportBestaetigen0402;

class XtaFileReader<T> {

	private final Unmarshaller unmarshaller;

	public static XtaFileReader<AbgabeImportBestaetigen0402> createAbgabeImportBestaetigen0402Reader() {
		return new XtaFileReader<>(AbgabeImportBestaetigen0402.class);
	}

	private XtaFileReader(Class<T> clazz) {
		try {
			unmarshaller = JAXBContext.newInstance(clazz).createUnmarshaller();
		} catch (JAXBException e) {
			throw new TechnicalException("Error reading xta file content", e);
		}
	}

	@SuppressWarnings("unchecked")
	public T read(XtaFile xtaFile) {
		try {
			return (T) unmarshaller.unmarshal(xtaFile.content().getInputStream());
		} catch (JAXBException | IOException e) {
			throw new TechnicalException("Error on reading file %s.".formatted(xtaFile.name()), e);
		}
	}

}
