package de.ozgcloud.archive.quittung;

import jakarta.annotation.PostConstruct;

import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.context.annotation.Profile;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import de.ozgcloud.archive.common.xta.XtaProperties;
import lombok.RequiredArgsConstructor;

@Component
@Profile("!itcase")
@RequiredArgsConstructor
@ConditionalOnProperty(prefix = XtaProperties.XTA_PROPERTIES_PREFIX, name = "enabled")
public class QuittungScheduler {

	private static final String SCHEDULER_CRON = "#{xtaProperties.schedulerCron}";

	private final QuittungService service;

	@PostConstruct
	public void onStartup() {
		run();
	}

	@Scheduled(cron = SCHEDULER_CRON)
	public void run() {
		service.fetchQuittung();
	}
}
