package de.ozgcloud.archive.common.xta;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;

import de.ozgcloud.common.test.ITCase;

@ITCase
class XtaFileParserITCase {

	@Autowired
	private XtaFileParser parser;

	@DisplayName("Is import confirmation")
	@Nested
	class TestIsType {

		@Test
		void shouldReturnTrueOnMatchingTag() {
			var isImportConfirmation = parser.isType(XtaFileTestFactory.create(AbgabeImportBestaetigen0402TestFactory.FILE_PATH),
					XtaFileType.IMPORT_CONFIRMATION);

			assertThat(isImportConfirmation).isTrue();
		}

		@Test
		void shouldReturnFalseOnNonMatchingTag() {
			var isImportConfirmation = parser.isType(XtaFileTestFactory.create(), XtaFileType.ABGABE);

			assertThat(isImportConfirmation).isFalse();
		}
	}

}