package de.ozgcloud.archive.common.xta;

import java.util.UUID;

import com.thedeanda.lorem.LoremIpsum;

import de.ozgcloud.xta.client.model.XtaIdentifier;
import de.ozgcloud.xta.client.model.XtaIdentifier.XtaIdentifierBuilder;

public class XtaIdentifierTestFactory {

	public static final String CATEGORY = LoremIpsum.getInstance().getWords(1);
	public static final String VALUE = UUID.randomUUID().toString();
	public static final String NAME = LoremIpsum.getInstance().getName();

	public static XtaIdentifier create() {
		return createBuilder().build();
	}

	public static XtaIdentifierBuilder createBuilder() {
		return XtaIdentifier.builder()
				.name(NAME)
				.value(VALUE)
				.category(CATEGORY);
	}

	public static String createAsJson() {
		return "[{\"category\":\"%s\",\"name\":\"%s\",\"value\":\"%s\"}]".formatted(CATEGORY, NAME, VALUE);
	}
}
